@echo off
REM Dominic Buchheit, Software AG, 2021
REM This script applies a xslt using saxon for all html files in a specified folder, including subfolders
REM
REM Usage: applyXslt.bat "<folder_to_run>" "<xslt_file>"

REM Replace "PATH_TO_SAXON" with path to binary or saxon command
SET SAXON="C:/Program Files/Saxonica/Saxon/bin/Transform.exe"

REM Command line parameters. First one needs to be the folder to run, second the XSL template file.
SET FOLDER=%1
SET XSLT=%2

echo Running %SAXON% in folder %FOLDER% (recursive), applying template: %XSLT%

for /R %FOLDER% %%f in ("*.html") do (
    echo Found file to transform: "%%f"
    REM Remove the "echo" below if you are sure it works as expected
    %SAXON% -s:"%%f" -xsl:"%XSLT%" -o:"%%f"
)