@echo off

REM This batch is used to copy relevant JavaHelp files for the embedded help
REM 
REM Usage: 
REM     mycopy_arg.bat [publish_folder] [this_profile_name] [base_profile_name]
REM 
REM It copies the files *.hs and map.jhm to the current publishing folder
REM [publish_folder] The current publishing folder
REM [this_profile_name] This profile's name, e.g., AIBA_WebHelp_Embedded
REM [base_profile_name] The base profile's name, e.g. AIBA_JavaHelp
REM 
REM More information about used parameters: https://docs.microsoft.com/en-us/windows-server/administration/windows-commands/xcopy
REM Dominic Buchheit, 2019

set publish_folder=%~1
set this_profile_name=%~2
set base_profile_name=%~3

REM Build the source path, i.e., the current publish folder path with replaced profile name
call set source=%%publish_folder:%this_profile_name%=%base_profile_name%%%

REM Adapt the target here, if wanted, e.g., target=%publish_folder%\mytemp
set target=%publish_folder%

echo Copy *.hs file(s)
xcopy "%source%\*.hs" "%target%" /c /v /q /s /y /d /i
echo Copy map.jhm
xcopy "%source%\map.jhm" "%target%" /c /v /q /s /y /d /i