@echo off
REM setLayout.bat
REM Dominic Buchheit, 2019
REM This batch file builds the postscript pdfmark file used by ghostscript.
REM It defines the pdf file's initial view.
REM After this, it applies this view to the pdf by printing it in a new document.

echo Running command %0 %1 %2 > layout.log

REM Built the pdfmark file
IF EXIST pdfmark.ps DEL /F pdfmark.ps
echo [ /PageMode /UseOutlines >> pdfmark.ps
echo    /Page 1 >> pdfmark.ps
echo    /View [/Fit] >> pdfmark.ps
echo    /PageLayout /SinglePage >> pdfmark.ps
echo    /ViewerPreferences^<^</DisplayDocTitle true /FitWindow true^>^>  >> pdfmark.ps
echo    /DOCVIEW pdfmark  >> pdfmark.ps
echo.  >> pdfmark.ps
echo [ /Producer (Software AG) >> pdfmark.ps
echo    /Company (Software AG) >> pdfmark.ps
echo    /Creator (Software AG) >> pdfmark.ps
echo    /Author (Software AG) >> pdfmark.ps
echo    /Keywords (%~2) >> pdfmark.ps
echo    /DOCINFO pdfmark >> pdfmark.ps

IF EXIST "%~dpn1.pdf" echo "Original file exists" >> layout.log

REM Rename the existing pdf to a temp file
echo Rename "%~dpn1.pdf" to "%~dpn1.pdf_no_layout" >> layout.log
copy "%~dpn1.pdf" "%~dpn1_no_layout" >> layout.log

IF EXIST "%~dpn1_no_layout" echo "File moved" >> layout.log

REM Run the ghostscript command
dir >> layout.log
echo "%~dpn1.pdf" "%~dpn1_no_layout"
gs\gswin64c.exe -o "%~dpn1.pdf" -dCompatibilityLevel="1.5" -sDEVICE=pdfwrite -dPDFSETTINGS=/prepress "%~dpn1_no_layout" pdfmark.ps >> layout.log
